summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-01-08 11:48:48 -0200
committer Robby Workman <rworkman@slackbuilds.org>2011-01-10 15:04:23 -0600
commit68462dc93d9d01ea3dfcbf66b795a6f69ce5c793 (patch)
tree45120c7a9f243907b40fa9875bd8aa665d2b9617 /audio
parentfd788583d5e3483e63d12d065df23bd86d073044 (diff)
downloadslackbuilds-68462dc93d9d01ea3dfcbf66b795a6f69ce5c793.tar.gz
slackbuilds-68462dc93d9d01ea3dfcbf66b795a6f69ce5c793.tar.xz
audio/clam_annotator: Added (Music annotation tool)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/clam_annotator/Annotator.desktop9
-rw-r--r--audio/clam_annotator/README9
-rw-r--r--audio/clam_annotator/clam_annotator.SlackBuild101
-rw-r--r--audio/clam_annotator/clam_annotator.info10
-rw-r--r--audio/clam_annotator/doinst.sh4
-rw-r--r--audio/clam_annotator/slack-desc19
6 files changed, 152 insertions, 0 deletions
diff --git a/audio/clam_annotator/Annotator.desktop b/audio/clam_annotator/Annotator.desktop
new file mode 100644
index 0000000000..88aee31999
--- /dev/null
+++ b/audio/clam_annotator/Annotator.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=CLAM Music Annotator
+GenericName=Music annotation tool
+Comment=A tool to compute and edit music related information
+Icon=/usr/share/pixmaps/annotator-icon1.svg
+Type=Application
+Categories=AudioVideo;Audio;Music;
+Exec=Annotator
+Terminal=false
diff --git a/audio/clam_annotator/README b/audio/clam_annotator/README
new file mode 100644
index 0000000000..b979ad23c6
--- /dev/null
+++ b/audio/clam_annotator/README
@@ -0,0 +1,9 @@
+The CLAM Annotator is a tool that can be used to visualize, check and
+modify music information extracted from audio: low level features, note
+segmentation, chords, structure... The tool is intended to be useful
+for music information retrieval research.
+
+Among other things, CLAM Annotator can analyze a song (wav/mp3/ogg file)
+and display the chord changes in realtime, as the song plays.
+
+This requires clam.
diff --git a/audio/clam_annotator/clam_annotator.SlackBuild b/audio/clam_annotator/clam_annotator.SlackBuild
new file mode 100644
index 0000000000..cec9083c43
--- /dev/null
+++ b/audio/clam_annotator/clam_annotator.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for clam_annotator
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=clam_annotator
+VERSION=${VERSION:-0.5.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+SRCNAM=Annotator
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT # NB: $PKG/usr must exist, not just $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# If extra/kde3-compat/qt3 is installed, QTDIR will be set to
+# /opt/kde/lib(64)?/qt3, which confuses the build process, so set it
+# to the correct dir for Qt4. This does no harm on a system where qt3
+# is not installed.
+# If you have qt3 installed and still have compilation issues, make sure
+# /opt/kde3/lib(64)?/qt3/bin and/or /opt/kde3/bin are not in your PATH.
+# If all else fails, removepkg qt3 and reinstall it afterwards.
+export QTDIR=$QT4DIR
+
+cd vmqt
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ scons clam_prefix=/usr prefix=/usr
+cd -
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ scons \
+ prefix=/usr \
+ clam_prefix=/usr
+
+scons install prefix=$PKG/usr
+find $PKG/usr/bin | xargs file | grep ELF | cut -d: -f1 | xargs strip
+
+mv $PKG/usr/share/man $PKG/usr/man
+gzip $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/share/pixmaps
+cp src/images/annotator-icon1.svg $PKG/usr/share/pixmaps
+
+# shipped .desktop file has multiple issues, replace with fixed one.
+cp $CWD/$SRCNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES README COPYING todos \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/clam_annotator/clam_annotator.info b/audio/clam_annotator/clam_annotator.info
new file mode 100644
index 0000000000..2b8ca9ed88
--- /dev/null
+++ b/audio/clam_annotator/clam_annotator.info
@@ -0,0 +1,10 @@
+PRGNAM="clam_annotator"
+VERSION="0.5.0"
+HOMEPAGE="http://clam-project.org"
+DOWNLOAD="http://clam-project.org/download/src/Annotator-0.5.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="c87b7df7d429dffd5967b2001efdbaaf"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/clam_annotator/doinst.sh b/audio/clam_annotator/doinst.sh
new file mode 100644
index 0000000000..3ca3395c16
--- /dev/null
+++ b/audio/clam_annotator/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/clam_annotator/slack-desc b/audio/clam_annotator/slack-desc
new file mode 100644
index 0000000000..7d58baacfa
--- /dev/null
+++ b/audio/clam_annotator/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clam_annotator: clam_annotator (Music annotation tool)
+clam_annotator:
+clam_annotator: The CLAM Annotator is a tool that can be used to visualize, check and
+clam_annotator: modify music information extracted from audio: low level features,
+clam_annotator: note segmentation, chords, structure... The tool is intended to be
+clam_annotator: useful for music information retrieval research.
+clam_annotator:
+clam_annotator:
+clam_annotator:
+clam_annotator:
+clam_annotator: